For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • POSTCreate a simulation case
      • GETList simulation cases
      • GETGet a simulation case
      • PUTUpdate a simulation case
      • DELDelete a simulation case
      • POSTGenerate test cases
      • GETList simulation cases by agent
      • POSTCreate a simulation suite
      • GETList simulation suites
      • GETGet a simulation suite
      • PUTUpdate a simulation suite
      • DELDelete a simulation suite
      • POSTExecute a simulation suite
      • POSTCreate a simulation scenario
      • GETList simulation scenarios
      • GETGet a simulation scenario
      • PUTUpdate a simulation scenario
      • DELDelete a simulation scenario
      • POSTStart a simulation
      • GETList simulation sessions
      • GETGet a simulation session
      • GETList simulations
      • GETGet a simulation
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APISimulations

Create a simulation suite

||View as Markdown|
POST
/simulation_suites
POST
/v2/simulation_suites
$curl -X POST https://api.synthflow.ai/v2/simulation_suites \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Sales Agent Test Suite",
> "model_id": "1726005822670x239735712159542050",
> "language": "en-US"
>}'
1{
2 "status": "ok",
3 "response": {
4 "id": "9ad09ad3-9c22-441e-ae35-c05016a09786",
5 "name": "Sales Agent Test Suite",
6 "model_id": "1726005822670x239735712159542050",
7 "workspace_id": "ws_abc123",
8 "language": "en-US",
9 "cases": [],
10 "created_at": {},
11 "updated_at": {}
12 }
13}

Create a new simulation suite attached to a specific agent. The suite can only be executed on the agent specified by model_id.

Was this page helpful?
Previous

List simulation suites

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
namestringRequired
Name of the simulation suite
model_idstringRequired
Agent model ID this suite is for. The suite can only run on this specific agent.
languagestringOptionalDefaults to en-US

Language locale for the persona agent and test cases (e.g., ‘en-US’, ‘es-ES’, ‘fr-FR’). Must be a valid locale code. Note that ‘multi’ is not allowed for simulation suites.

Response

200
statusstring
Whether the request was successful.
responseobject

Errors

400
Bad Request Error